Create user

POST https://api.ap1.datadoghq.com/api/v2/scim/Usershttps://api.ap2.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.eu/api/v2/scim/Usershttps://api.ddog-gov.com/api/v2/scim/Usershttps://api.us2.ddog-gov.com/api/v2/scim/Usershttps://api.uk1.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.com/api/v2/scim/Usershttps://api.us3.datadoghq.com/api/v2/scim/Usershttps://api.us5.datadoghq.com/api/v2/scim/Users

개요

Create a new user. To assign Datadog roles to the user, include a roles array containing role UUIDs in the value field. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • 요청

    Body Data (required)

    Expand All

    항목

    유형

    설명

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    roles

    [object]

    Datadog roles assigned to the user. Provide the role UUID in value when provisioning or updating roles through SCIM.

    display

    string

    Human-readable Datadog role name returned in responses.

    value [required]

    string

    Datadog role UUID.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "roles": [
        {
          "value": "00000000-0000-0000-0000-000000000001"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    응답

    Created

    Definition of a user.

    Expand All

    항목

    유형

    설명

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    roles

    [object]

    Datadog roles assigned to the user. Provide the role UUID in value when provisioning or updating roles through SCIM.

    display

    string

    Human-readable Datadog role name returned in responses.

    value [required]

    string

    Datadog role UUID.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "roles": [
        {
          "display": "Datadog Read Only Role",
          "value": "00000000-0000-0000-0000-000000000001"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Bad Request

    API error response.

    Expand All

    항목

    유형

    설명

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    항목

    유형

    설명

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    코드 사례

                      ## default
    # 
    
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "name": { "formatted": "John Doe" }, "roles": [ { "value": "00000000-0000-0000-0000-000000000001" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF
    ## json-request-body #
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "name": { "formatted": "John Doe" }, "roles": [ { "value": "00000000-0000-0000-0000-000000000001" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF